tasks/list
GET
/scheduled-agentsList the account's Tasks. Requires the scheduled-agents feature and the configuration:read permission.
Request
cURL
curl -X GET "https://provisioning.cloudx.io/api/v1/scheduled-agents" \
-H "Authorization: Bearer $CLOUDX_API_KEY"Responses
Tasks in newest-first order.
{
"scheduled_agents": [
{
"id": "<string>",
"name": "<string>",
"prompt": "<string>",
"template_id": "<string>",
"cron_expression": "<string>",
"timezone": "<string>",
"schedule_description": "<string>",
"enabled": true,
"creation_origin": "web_app",
"notification_recipient_mode": "just_me",
"notification_recipient_user_ids": [
"<string>"
],
"next_run_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}
]
}200 Tasks in newest-first order.
| Field | Type | Description |
|---|---|---|
scheduled_agentsrequired | array of object |
401 Unauthorized.
| Field | Type | Description |
|---|---|---|
errorrequired | string |
403 Forbidden or feature unavailable.
| Field | Type | Description |
|---|---|---|
errorrequired | string |
500 Internal server error.
| Field | Type | Description |
|---|---|---|
errorrequired | string |